Modify an existing environment value
Parámetros de path
-
An Atlas Project/Group ID.
-
El ObjectID de tu aplicación. La sección de ID de Proyecto y ID de la aplicación de App Services API muestra cómo encontrar este valor.
-
The
_idvalue of an environment value.
Cuerpo
-
The environment value's internal ID
-
The environment value name
-
The time this configuration was last modified represented by the number of seconds since the UNIX epoch.
-
An object that maps environment names to values. The environment value resolves to the current active environment's mapped value.
If no value is mapped to the current active environment, the environment value resolves to
undefined.
PUT /groups/{groupId}/apps/{appId}/environment_values/{environmentValueId}
curl \
--request PUT 'https://services.cloud.mongodb.com/api/admin/v3.0/groups/{groupId}/apps/{appId}/environment_values/{environmentValueId}' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{"_id":"string","name":"string","last_modified":42.0,"values":{}}'
Solicitar ejemplos
{
"_id": "string",
"name": "string",
"last_modified": 42.0,
"values": {}
}
Ejemplos de respuestas (200)
{
"_id": "string",
"name": "string",
"last_modified": 42.0
}
Ejemplos de respuestas (404)
{
"error": "string",
"error_code": "EnvironmentValueNotFound"
}